<?php

/* Init File */

/* Show Errors */
error_reporting(E_ALL);

/* Load other files */
include(SYSPATH.'/core/functions.php');
include(SYSPATH.'/core/timer.php');
include(SYSPATH.'/core/configmanager.php');
include(SYSPATH.'/core/guicore.php');
include(SYSPATH.'/core/processcontrol.php');
include(SYSPATH.'/core/wgetcomm.php');

/* Initialize main things */
$glade = new GladeXML(SYSPATH.'/data/interface.glade');
$gladepref = new GladeXML(SYSPATH.'/data/preferences.glade');

$guicore = new GUICore();
$wgetcomm = new wgetComm();
$timer = new Timer();

$guicore->wgetcomm = &$wgetcomm;
$guicore->timer = &$timer;
$wgetcomm->guicore = &$guicore;

/* Most of the widgets are here */
$widgets = array();
$widgets['main'] = $glade->get_widget('main_window');
$widgets['new'] = $glade->get_widget('new_window');
$widgets['dialog'] = $glade->get_widget('dialog3');
$widgets['preferences'] = $gladepref->get_widget('pref_window');
$widgets['treeview'] = $glade->get_widget('treeview1');
$widgets['toolbar'] = $glade->get_widget('toolbar1');
$widgets['popup'] = $glade->get_widget('popup1');
$widgets['statusbar'] = $glade->get_widget('statusbar');
$widgets['viewtoolbar'] = $glade->get_widget('view_toolbar');
$widgets['viewstatusbar'] = $glade->get_widget('view_statusbar');
$widgets['savein'] = $glade->get_widget('save_in_comboboxentry');
$widgets['radioindex'] = $glade->get_widget('radio_index');
$widgets['radiomultimedia'] = $glade->get_widget('radio_multimedia');
$widgets['radiomirror'] = $glade->get_widget('radio_mirror');
$widgets['radiorecursive'] = $glade->get_widget('radio_recursive');
$widgets['pausemenu'] = $glade->get_widget('pause_menuitem');
$widgets['continuemenu'] = $glade->get_widget('continue_menuitem');
$widgets['cancelmenu'] = $glade->get_widget('cancel_menuitem');
$widgets['pausedown'] = $glade->get_widget('pause_download');
$widgets['continuedown'] = $glade->get_widget('continue_download');
$widgets['canceldown'] = $glade->get_widget('cancel_download');
$widgets['newurl'] = $glade->get_widget('url_entry');
$widgets['newpath'] = $glade->get_widget('save_in_entry');
$widgets['newpathcombo'] = $glade->get_widget('save_in_comboboxentry');
$widgets['dialogtitle'] = $glade->get_widget('title_label_inf');
$widgets['dialogtext'] = $glade->get_widget('title_label_inf1');

/* Connect signals */
$glade->signal_autoconnect_instance($guicore);
$gladepref->signal_autoconnect_instance($guicore);

/* Assign Widgets to GUICore and Complete Startup */
$guicore->widgets = &$widgets;
$guicore->initGUI();

